
import java.util.*;

import org.hibernate.*;
import org.hibernate.criterion.*;

public class SimpleRetrieveTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table i_EVENTS ( uid int, name VARCHAR, start_Date date, duration int, location_id int);");
		HibernateUtil.setup("create table i_speakers ( uid int, firstName VARCHAR, lastName VARCHAR, event int);");
		
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();


        EventInverse event = new EventInverse();
        event.setName("Inverse test");
        event.setSpeakers(new HashSet());
        event.getSpeakers().add(new SpeakerInverse("John", "Smith", event));
        event.getSpeakers().add(new SpeakerInverse("Dave", "Smith", event));
        event.getSpeakers().add(new SpeakerInverse("Joan", "Smith", event));


        session.save(event);

        event = (EventInverse) session.load(EventInverse.class, event.getId());
        Set speakers = event.getSpeakers();

        for (Iterator i = speakers.iterator(); i.hasNext();) {
            SpeakerInverse speaker = (SpeakerInverse) i.next();
            System.out.println("Event Name:"+speaker.getEvent().getName());
            System.out.println("Speaker First Name:"+speaker.getFirstName());
            System.out.println("Speaker Last Name:"+speaker.getLastName());
        }


        tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();

        HibernateUtil.checkData("select * from i_speakers");
        HibernateUtil.checkData("select uid, name from i_events");        
		// hibernate code end
	}
	
}